<template>
  <cabinet-layout nav-active="inbox">
    <div
      slot="block-content"
      class="inbox">
      <submenu
        menu-active="inbox"
        item-active="settings"/>
      <div class="ui form">
        <div class="container">
          <div class="title-mobile">Настройка входящих запросов</div>
        </div>
      </div>
    </div>

    <div slot="line-modal"/>

  </cabinet-layout>
</template>

<script>
import CabinetLayout from '~/components/redesign/cabinet/main-layout';
import Submenu from '~/components/redesign/cabinet/submenu';
import Multiselect from 'vue-multiselect';

export default {
  name: 'InboxSettings',
  components: {
    CabinetLayout,
    Submenu,
    Multiselect,
  },
  layout: 'cabinet',
  data() {
    return {};
  },
};
</script>

<style lang="postcss">
  .question {
    @media screen and (max-width: 980px) {
      display: none;
    }
    @media screen and (min-width: 981px) {
      position: relative;
      display: inline-flex;
      > .button {
        display: inline-flex;
        justify-content: center;
        align-items: center;
        width: 1rem;
        height: 1rem;
        background: transparent;
        border: 1px solid #9badb9;
        border-radius: 50%;
        outline: 0;
        cursor: pointer;
        &:before {
          display: inline-flex;
          content: "?";
          font-size: 0.75rem;
          font-weight: normal;
          line-height: 1;
          color: #4272a4;
        }
      }
    }
  }

  .inbox {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: stretch;
    width: 100%;
    .container {
      display: flex;
      flex-flow: row wrap;
      justify-content: flex-start;
      align-items: flex-start;
      padding: 1.5rem;
      @media screen and (max-width: 980px) {
        padding: 1.5rem 1rem;
        flex-flow: column nowrap;
      }

      .title {
        display: block;
        font-size: 1rem;
        line-height: 1;
        @media screen and (max-width: 980px) {
          padding: 0 0 1rem;
          font-weight: 500;
        }
        @media screen and (min-width: 981px) {
          font-weight: 700;
          padding: 0 1rem 1rem;
        }
        .question {
          margin-left: 0.5rem;
        }
      }
    }
  }
</style>
